Bug 1731972 - [DOCS] correction in doc for logging installation in OCP v4.1
Summary: [DOCS] correction in doc for logging installation in OCP v4.1
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.1.z
Assignee: Michael Burke
QA Contact: Anping Li
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-22 12:59 UTC by Asmita
Modified: 2020-05-04 02:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-05 14:42:48 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Asmita 2019-07-22 12:59:09 UTC
Document URL: https://docs.openshift.com/container-platform/4.1/logging/efk-logging-deploying.html

Section Number and Name: Install the Elasticsearch Operator by creating the following objects:  "f-section"

Describe the issue: In an example, yaml file of Subscription the currentCSV argument is missing.

Suggestions for improvement: 

Actual Output:

~~~
apiVersion: operators.coreos.com/v1alpha1
kind: Subscription
metadata:
  generateName: "elasticsearch-"
  namespace: "openshift-operators-redhat" 
spec:
  channel: "preview" 
  installPlanApproval: "Automatic"
  source: "elasticsearch"
  sourceNamespace: "openshift-operators-redhat" 
  name: "elasticsearch-operator"
~~~

Expected Output:
~~~
apiVersion: operators.coreos.com/v1alpha1
kind: Subscription
metadata:
  generateName: "elasticsearch-"
  namespace: "openshift-operators-redhat"
spec:
  channel: "preview"
  installPlanApproval: "Automatic"
  source: "elasticsearch"
  sourceNamespace: "openshift-operators-redhat"
  name: "elasticsearch-operator"
status:
  currentCSV: elasticsearch-operator.4.1.4-201906271212
~~~

Additional information: Correct example yaml and mention currentCSV in example.yaml

Comment 1 Michael Burke 2019-07-23 15:06:54 UTC
Asmita -- Does this change meet your expectations?

https://github.com/openshift/openshift-docs/pull/15991

Comment 2 Anping Li 2019-07-23 15:58:26 UTC
@asmita,  the 'Example Subscription' section are resource file, it is not output.  so there shouldn't be status filed. Could you confirm your issue?

Comment 6 Michael Burke 2019-07-29 15:03:31 UTC
Asmita -- How do you want to proceed with this issue.


Note You need to log in before you can comment on or make changes to this bug.